# Generated by Django 4.2.14 on 2024-11-13 10:26

from django.db import migrations, models
import django.db.models.deletion
import grimoirelab.core.models
import grimoirelab.core.scheduler.models
import grimoirelab_toolkit.datetime


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='EventizerTask',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', grimoirelab.core.models.CreationDateTimeField(default=grimoirelab_toolkit.datetime.datetime_utcnow, editable=False)),
                ('last_modified', grimoirelab.core.models.LastModificationDateTimeField(default=grimoirelab_toolkit.datetime.datetime_utcnow, editable=False)),
                ('uuid', models.CharField(max_length=191, unique=True)),
                ('task_type', models.CharField(max_length=128)),
                ('task_args', models.JSONField(default=None, null=True)),
                ('status', models.IntegerField(choices=[(1, 'new'), (2, 'enqueued'), (3, 'running'), (4, 'completed'), (5, 'failed'), (6, 'recovery')], default=1)),
                ('runs', models.PositiveIntegerField(default=0)),
                ('failures', models.PositiveIntegerField(default=0)),
                ('last_run', models.DateTimeField(default=None, null=True)),
                ('scheduled_at', models.DateTimeField(default=None, null=True)),
                ('job_interval', models.PositiveIntegerField(default=7200)),
                ('job_max_retries', models.PositiveIntegerField(default=5, null=True)),
                ('burst', models.BooleanField(default=False)),
                ('datasource_type', models.CharField(max_length=128)),
                ('datasource_category', models.CharField(max_length=128)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='EventizerJob',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', grimoirelab.core.models.CreationDateTimeField(default=grimoirelab_toolkit.datetime.datetime_utcnow, editable=False)),
                ('last_modified', grimoirelab.core.models.LastModificationDateTimeField(default=grimoirelab_toolkit.datetime.datetime_utcnow, editable=False)),
                ('uuid', models.CharField(max_length=191, unique=True)),
                ('job_num', models.PositiveIntegerField()),
                ('job_args', models.JSONField(default=None, null=True)),
                ('status', models.IntegerField(choices=[(1, 'new'), (2, 'enqueued'), (3, 'running'), (4, 'completed'), (5, 'failed'), (6, 'recovery')], default=2)),
                ('progress', models.JSONField(default=None, encoder=grimoirelab.core.scheduler.models.JobResultEncoder, null=True)),
                ('logs', models.JSONField(default=None, null=True)),
                ('queue', models.CharField(default=None, max_length=128, null=True)),
                ('scheduled_at', models.DateTimeField(default=None, null=True)),
                ('finished_at', models.DateTimeField(default=None, null=True)),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='jobs', to='tasks.eventizertask')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
